module test (rst,clk,out1,out2);

input wire clk;
input wire rst;
output reg out1,out2;

reg [1:0]  next_state;

  parameter [1:0] ONE   = 2'b00,
                  TWO   = 2'b01,
                  THREE = 2'b10,
                  FOUR  = 2'b11;

  parameter  ON  = 0,
            OFF = 1;

  always @ (next_state)
  begin
      out1 <= next_state[ON];
      out2 <= next_state[OFF];

  end

 always @(posedge clk or posedge rst)
 begin
   if (rst)
     next_state <= ONE;
  else
    case (next_state)
      ONE    : next_state <= TWO;
      TWO    : next_state <= THREE;
      THREE  : next_state <= FOUR;
      FOUR   : next_state <= ONE;
    endcase
 end
endmodule
